<!DOCTYPE html>
<html lang="en">
<head>
    <?php define("title", "Registration Page"); ?>
    <title><?php echo title; ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="css/stylesheet.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body style="background-color: #3d4062">
    <?php include 'inputValidation.php'; ?>
    <nav class="navbar navbar-inverse" style="margin-bottom: 0">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#">Logo</a>
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav">
                    <li class="active"><a href="index.html">Home</a></li>
                    <li><a href="registration.php">Registration</a></li>
                    <li><a href="animation.html">Animation</a></li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="#"><span class="glyphicon glyphicon-log-in"></span>Login</a></li>
                </ul>
            </div>
        </div>
    </nav>


<div class="container-fluid text-center row-content">
    <div class="row content">

        <!-- Left Sidebar-->
        <div class="col-sm-2 sidenav">
            <div class="well" style="margin:20px">
                <p><a href="index.html">Home</a></p>
            </div>
            <div class="well" style="padding: 20px; margin:20px">
                <p><a href="registration.php">Registration</a></p>
            </div>
            <div class="well" style="padding: 20px; margin:20px">
                <p><a href="animation.html">Animation</a></p>
            </div>
        </div>

        <!-- Main 8 columns of bootstrap format containing registration form-->
        <div class="col-sm-8 text-middle " style="background-color: #cfd6ea;padding: 10px">
            <form method="post" novalidate
            action ="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>"
            input type ="submit">

                <div id="userNameDiv" class="form-group col-sm-6 col-sm-offset-3" style="margin-top:20px">
                    <label for="userName">User Name</label>
                    <input type="text" class="form-control" id="userName" name="userName"
                        value="<?php echo $uName; ?>"/>
                    <span id="userNameErr" class="text-danger"><?php echo $uNameErr;?></span>
                </div>


                <div id="passwordDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password"
                        value="<?php echo $passWord; ?>" />
                    <span id="passErr" class="text-danger"
                        ><?php echo $passErr;?></span>
                </div>


                <div id="confirmPassDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="confirmPassword">Please Confirm Your Password</label>
                    <input type="password" class="form-control" id="confirmPassword"
                    name="confirmPassword" value="<?php echo $confPassWord; ?>" />
                    <span id="confirmPassErr" class="text-danger"
                        ><?php echo $confPassErr;?></span>
                </div>


                <div id="firstNameDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="firstName">First Name</label>
                    <input type="text" class="form-control" id="firstName" name="firstName"
                        value="<?php echo $fName; ?>" />
                    <span id="firstNameErr" class="text-danger"
                        ><?php echo $fNameErr;?></span>
                </div>


                <div id="lastNameDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="lastName">Last Name</label>
                    <input type="text" class="form-control" id="lastName" name="lastName"
                        value="<?php echo $lName; ?>" />
                    <span id="lastNameErr" class="text-danger"
                        ><?php echo $lNameErr;?></span>
                </div>


                <div id="address1Div" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="addressLine1">Address Line 1</label>
                    <input type="text" class="form-control" id="addressLine1"
                        name="addressLine1" value="<?php echo $address; ?>" />
                    <span id="address1Err" class="text-danger"
                        ><?php echo $addrErr;?></span>
                </div>


                <div id="address2Div" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="addressLine2">Address Line 2</label>
                    <input type="text" class="form-control" id="addressLine2" name="addressLine2"
                        placeholder="(OPTIONAL)"value="<?php echo $addressTwo; ?>" />
                    <span id="address2Err" class="text-danger"><?php echo $addrTwoErr;?></span>
                </div>


                <div id="cityDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="city">City</label>
                    <input type="text" class="form-control" id="city" name="city"
                        value="<?php echo $city; ?>" />
                    <span id="cityErr" class="text-danger"><?php echo $cityErr;?></span>
                </div>


                <div id="stateDiv" class="dropdown col-sm-6 col-sm-offset-3">
                    <label for="state">Choose your state:</label>
                    <select name="state" id="state" name ="state" style="margin-bottom: 20px">
                        <option value="#"></option>
                        <option value="AK">AK</option>
                        <option value="AZ">AZ</option>
                        <option value="AR">AR</option>
                        <option value="CA">CA</option>
                        <option value="CO">CO</option>
                        <option value="CT">CT</option>
                        <option value="DE">DE</option>
                        <option value="FL">FL</option>
                        <option value="GA">GA</option>
                        <option value="HI">HI</option>
                        <option value="ID">ID</option>
                        <option value="IL">IL</option>
                        <option value="IN">IN</option>
                        <option value="IA">IA</option>
                        <option value="KS">KS</option>
                        <option value="KY">KY</option>
                        <option value="LA">LA</option>
                        <option value="ME">ME</option>
                        <option value="MD">MD</option>
                        <option value="MA">MA</option>
                        <option value="MI">MI</option>
                        <option value="MN">MN</option>
                        <option value="MS">MS</option>
                        <option value="MO">MO</option>
                        <option value="MT">MT</option>
                        <option value="NE">NE</option>
                        <option value="NV">NV</option>
                        <option value="NH">NH</option>
                        <option value="NJ">NJ</option>
                        <option value="NM">NM</option>
                        <option value="NY">NY</option>
                        <option value="NC">NC</option>
                        <option value="ND">ND</option>
                        <option value="OH">OH</option>
                        <option value="OK">OK</option>
                        <option value="OR">OR</option>
                        <option value="PA">PA</option>
                        <option value="RI">RI</option>
                        <option value="SC">SC</option>
                        <option value="SD">SD</option>
                        <option value="TN">TN</option>
                        <option value="TX">TX</option>
                        <option value="UT">UT</option>
                        <option value="VT">VT</option>
                        <option value="VA">VA</option>
                        <option value="WA">WA</option>
                        <option value="WV">WV</option>
                        <option value="WI">WI</option>
                        <option value="WY">WY</option>
                    </select>
                    <span id="stateErr" class="text-danger"><?php echo $stateErr;?></span>
                </div>


                <div id="zipDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="zip">Zip Code</label>
                    <input type="text" class="form-control" id="zip" name="zip"
                        value="<?php echo $zip; ?>" />
                    <span id="zipErr" class="text-danger"><?php echo $zipErr;?></span>
                </div>


                <div id="phoneDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="phoneNumber">Phone Number</label>
                    <input type="tel" class="form-control" id="phoneNumber" name="phoneNumber"
                    placeholder="(123)456-7890" value="<?php echo $phoneNum; ?>" />
                    <span id="phoneErr" class="text-danger"><?php echo $phoneErr;?></span>
                </div>


                <div id="emailDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="email">Email Address</label>
                    <input type="email" class="form-control" id="email" name="email"
                        placeholder="example@domain.com" value="<?php echo $email; ?>" />
                    <span id="emailErr" class="text-danger"><?php echo $emailErr;?></span>
                </div>


                <div id="genderDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <p>Gender:</p>
                    <input type="radio" name="gender" id="maleGender"
                            <?php if ($gender=="male") {echo "checked";}?>
                            value="male"/><label for="maleGender">Male</label>

                    <input type="radio" name="gender" id="femaleGender"
                           <?php if ($gender=="female") {echo "checked";}?>
                           value="female"/><label for="femaleGender">Female</label>

                    <input type="radio" name="gender" id="otherGender"
                           <?php if ($gender=="other") {echo "checked";}?>
                           value="other"/><label for="otherGender">Other</label><br/>

                    <span id="genderErr" class="text-danger"><?php echo $genderErr;?></span>
                </div>


                <div id="maritalDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <p>Marital Status:</p>
                    <input type="radio" name="maritalStatus" id="single"
                           <?php if ($marital=="single") {echo "checked";}?>
                           value="single"/><label for="single">Single</label>
                    <input type="radio" name="maritalStatus" id="married"
                           <?php if ($marital=="married") {echo "checked";}?>
                           value="married"/><label for="married">Married</label>
                    <input type="radio" name="maritalStatus" id="divorced"
                           <?php if ($marital=="divorced") {echo "checked";}?>
                           value="divorced"/><label for="divorced">Divorced</label><br/>

                    <span id="maritalErr" class="text-danger"><?php echo $maritalErr;?></span>
                </div>


                <div id="bDayDiv" class="form-group col-sm-6 col-sm-offset-3">
                    <label for="dateOfBirth">Date Of Birth</label>
                    <input type="date" class="form-control" id="dateOfBirth" name="dateOfBirth"
                        value="<?php echo $date; ?>" />
                    <span id="bDayErr" class="text-danger"><?php echo $dateErr;?></span>
                </div>


                <button type="submit" class="btn btn-primary col-sm-6 col-sm-offset-3">Submit</button>
                <button type="reset" id="reset" class="btn btn-primary col-sm-6 col-sm-offset-3">Reset</button>
            </form>

            <?php
            if ($isValid == true){
                ?>
                <form id="intermediaryForm" name="intermediaryForm" method="POST" action="confirmation.php">
                    <?php
                        foreach($_POST as $key => $value) {
                            ?>
                            <input name="<?php echo $key;?>"
                            value="<?php echo $value;?>"
                            type="hidden"/>
                            <?php
                        }
                    ?>
                </form>
                <script>
                    document.createElement('form').submit.call(document.getElementById('intermediaryForm'));
                </script>
                <?php
            }
        ?>
        </div>

        <!-- Right Sidebar -->
        <div class="col-sm-2 sidenav">
            <div class="well" style="margin: 30px">
                <p>Breaking News</p>
            </div>
            <div class="well" style="margin: 30px">
                <p>In The Works</p>
            </div>
        </div>
    </div>
</div>

<!-- Footer with links to outside sites, open in new tab-->
<footer class="container-fluid text-center">
    <p> <a href="https://www.jwst.nasa.gov/" style="margin: 20px" target="_blank">James Webb's Official Site</a>
        <a href="https://www.facebook.com/NASA" style="margin: 20px" target="_blank">Nasa's Official Facebook</a>
        <a href="https://twitter.com/search?q=%23NASAWebb&src=typeahead_click" style="margin: 20px"
           target="_blank">Nasa's Official Twitter Page</a>
    </p>
</footer>

</body>
</html>